package b4a.com.datecs.api;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import anywheresoftware.b4a.AbsObjectWrapper;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@Author("Martin Pearman")
@DependsOn(values = { "datecs" })
@ShortName("Printer")
@Version(1.0f)
public class Printer extends AbsObjectWrapper<com.datecs.api.printer.Printer> {

	public void Initialize(InputStream InputStream1, OutputStream OutputStream1){
		setObject(new com.datecs.api.printer.Printer(InputStream1, OutputStream1));
	}
	
	public void PrintSelfTest() throws IOException{
		getObject().printSelfTest();
	}
	
	public void PrintTaggedText(String TaggedText) throws IOException{
		getObject().printTaggedText(TaggedText);
	}
	
	public void PrintTaggedText2(String TaggedText, String Encoding) throws IOException{
		getObject().printTaggedText(TaggedText, Encoding);
	}
}
